
:root {
    --jts-primary: #3794d1;
}

html {
    scroll-behavior: smooth;
}

.body-content {
    height: fit-content;
    background: #fff;
    margin-bottom: 200px;
    position: relative;
}

.container:not(.no-margin), .container-sm:not(.no-margin), .container-md:not(.no-margin), .container-lg:not(.no-margin) {
    padding-top: 8em !important;
    padding-bottom: 5em !important;
    transition: all 0.5s;
}

.modal.fade {  /* the default .15s is a tad too fast */
    transition: opacity 0.19s;
}

.emphasis {
    color: salmon;
}

.hidden {
    display: none;
}

.me-5 {
    margin-right: 0.5rem !important;
}

.blue-text {
    color: #2e7bae;
}

.black-text {
    color: black;
}

#show-banner[iselevated="true"]:hover, #logo[iselevated="true"]:hover {
    cursor: pointer !important;
}

#logo {
    max-width: 12rem;
}

.showpro-trade {
    color: var(--jts-primary)
}

.fa-solid.bc {
    font-size: x-large;
}

.page-link {
    color: #3794d1;
}

    .page-link.active {
        border-color: #3794d1 !important;
        background-color: #3794d1 !important;
        color: whitesmoke;
    }

    .page-link:hover {
        border-color: #3794d1 !important;
        background-color: #3794d1 !important;
        color: whitesmoke;
    }

.active > .page-link {
    border-color: #3794d1 !important;
    background-color: #3794d1 !important;
    color: whitesmoke;
}

.font-fix {
    font-size: unset !important;
}


#nav-user-image {
    max-width: 3em;
    min-width: 2em;
    margin-right: 1rem;
}

#modal-user-image {
    max-width: 5rem;
    min-width: 2rem;
    padding-top: 1rem;
    margin-bottom: 1rem;
}

#modal-user-option {
    margin-bottom: 1rem;
    text-align: center;
}

.modal-hr-container {
    display: flex;
    justify-content: center;
}

#blue-hr {
    width: 80%;
    color: #106eea;
    height: 0.2rem;
    border-radius: 5px;
}


.breadcrumb-item a {
    color: #3794d1;
}

.pointer {
    cursor: pointer;
}

.passed {
    color: mediumseagreen;
}

.failed {
    color: red;
}

.side-show-sync-placeholder {
    background-color: #3794d1;
    color: black;
    font-weight: 900;
    height: 3.5rem;
}

#syncErrMsg {
    overflow-wrap: break-word;
}

.card.dashboard {
    transition: all 0.5s;
}

    .card.dashboard:hover {
        transform: scale(1.05);
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
        z-index: 1;
    }

.offcanvas {
    transition: all 0.5s;
}

.dropdown-menu li a {
    transition: all 0.5s;
}

.showPRO-pop {
    transition: all 0.5s;
}

    .showPRO-pop:hover {
        transform: scale(1.05);
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
        z-index: 1;
    }


.sign-up-group:hover {
    cursor: pointer;
}

/*Help support Data Table's fadeIn()
*/
#EmergencyContactsTable,
#RolesTbl,
#ShowRolesTbl,
#OfficeRolesTbl,
#ExternalRolesTbl,
#warehouseTable,
#RentalRewardsTable,
#HotelRewardsTbl,
#equipmentTable,
#AirlineRewardsTable,
#employeeTable,
#showsTable,
#groupTable,
#showDetailTbl,
#componentTable,
#clientTable,
#allEmployeesTable,
#conventionCentersTable,
#conventionCentersTable,
#airlineTable,
#airportTable,
#GroupContactsTable,
#AgencyContactsTable,
#ShowEmpsBasicTbl,
#FlightsTbl,
#HotelsTbl,
#RentalTrucksTbl,
#RentalCarsTbl,
#BasicTrainingSessionTbl,
#warEquipTable
/* Add more... */ {
    display: none;
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control:before,
table.dataTable.dtr-inline.collapsed > tbody > tr > th.dtr-control:before {
    color: #3794d1;
}


#ConventionCenterRow:not(.active) {
    margin-bottom: 1rem;
    display: none;
}

.comp-option-count {
    margin-left: 3px;
}

.shadow-bottom {
    box-shadow: 0px 2px 0px rgba(0, 0, 0, 0.1);
}

.inner-accordion-btn {
    cursor: pointer;
}

    .inner-accordion-btn:not(.collapsed) {
        background-color: #cfe2ff;
    }

    .inner-accordion-btn.collapsed {
        box-shadow: 0px 2px 0px rgba(0, 0, 0, 0.1);
    }

.accordion-collapse {
    transition: all 0.5s ease 0s;
}

div.rewards:not(.active) {
    display: none;
    visibility: hidden;
}

.list-group-item.active, .nav-item > .nav-link.active {
    background-color: #3794d1;
    border-color: #3794d1;
}

.scrollable-container {
    overflow-y: scroll;
    max-height: 16rem;
}

.show-details-nav {
    overflow-x: scroll;
    flex-wrap: unset;
    scrollbar-width: thin;
    align-items: center;
    justify-content: space-around;
    padding: 1rem;
}

    .show-details-nav > li > a {
        font-size: 22px;
    }

        .show-details-nav > li > a:not(.active) {
            color: #3794d1 !important;
        }

.btn-check.is-invalid {
    border-color: var(--jts-primary) !important;
    color: var(--jts-primary);
}

.btn-check + .btn.radio,
.btn-check + .btn.radio:hover {
    border-color: var(--jts-primary) !important;
    color: var(--jts-primary);
}

.btn-check:checked + .btn.radio, .btn.radio.active, .btn.radio.show, .btn.radio:first-child:active, :not(.btn-check) + .btn.radio:active {
    background-color: var(--jts-primary);
    border-color: var(--jts-primary) !important;
    color: white;
}

/*Form CSS
-----------------------------------------------------*/
.emp_form {
    background-color: #e9ecef;
    width: 50% !important;
    height: max-content !important;
    border-radius: 15px !important;
    padding: 20px !important;
    margin: auto !important;
    color: #000;
    transition: all 0.5s;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.50);
}

.form-header-between {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: var(--bs-offcanvas-padding-y) var(--bs-offcanvas-padding-x);
}

/* selectpicker Dropdowns overlap when invalid >.>  */
.was-validated .input-group .form-control:invalid,
.input-group .form-control.is-invalid,
.was-validated .input-group .form-select:invalid,
.input-group .form-select.is-invalid {
    z-index: unset;
}

.input-group > .form-control:not(:focus).is-invalid,
.input-group > .form-floating:not(:focus-within).is-invalid,
.input-group > .form-select:not(:focus).is-invalid,
.was-validated .input-group > .form-control:not(:focus):invalid,
.was-validated .input-group > .form-floating:not(:focus-within):invalid,
.was-validated .input-group > .form-select:not(:focus):invalid {
    z-index: unset;
}
/*---------------------------------------------------------------*/

.passwordForm {
    display: none;
    visibility: hidden;
}

.employee-edit-btns {
    display: flex;
    justify-content: center;
    margin-bottom: 1rem;
    flex-wrap: wrap;
}

.empBtns {
    width: 50px;
    height: 50px;
    text-align: center;
    line-height: 1.1em;
    font-size: larger;
    margin: 5px;
}

.btn-jts-edit {
    font-family: 'Poppins', sans-serif;
    display: inline-block;
    color: #000;
    transition: all 0.5s;
    box-shadow: 0px 0.5px 2px rgba(0, 0, 0, 0.50);
    background-color: #e9ecef;
    color: #000;
    border: 5px thin;
}

.get_info_frm {
    padding: 10px !important;
}

.loginHeader {
    text-align: center !important;
}

    .loginHeader img {
        max-width: 50% !important;
        padding-bottom: 20px !important;
    }

#formhr {
    color: whitesmoke;
}

.toggle-handle {
    background-color: lightgrey !important;
}

.dropdown-item.active, .dropdown-item:active {
    color: whitesmoke !important;
    background-color: #3794d1;
}

.btn-light {
    color: black !important;
}

.bootstrap-select .dropdown-menu li a span.text {
    white-space: break-spaces;
}

.error-message {
    color: salmon;
    font-size: 14px;
    font-weight: bolder;
}

.success-message {
    color: #28a745;
    font-size: 14px;
    font-weight: bolder;
}


.btn-learnMore {
    font-family: 'Poppins', sans-serif;
    text-transform: uppercase;
    font-weight: 500;
    font-size: 14px;
    letter-spacing: 1px;
    display: inline-block;
    padding: 10px 28px;
    border-radius: 0px;
    transition: 0.5s;
    color: #fff;
    background: #264B8D;
}

.btn-learnMore-light {
    font-family: 'Poppins', sans-serif;
    text-transform: uppercase;
    font-weight: 500;
    font-size: 14px;
    letter-spacing: 1px;
    display: inline-block;
    padding: 10px 28px;
    border-radius: 5px;
    transition: all 0.5s ease 0s;
    background: #fff;
    color: #000;
}

.btn-jts-primary {
    font-family: 'Poppins', sans-serif;
    display: inline-block;
    border-radius: 5px;
    transition: all 0.5s ease 0s;
    background: #3794d1;
    color: #fff !important;
}

    .btn-jts-primary:hover {
        transition: all 0.5s ease 0s;
        background: #2e7bae !important;
        color: #fff !important;
    }

    .btn-jts-primary.disabled, .btn-jts-primary:disabled {
        background: #3794d1;
    }

.btn-jts-light {
    font-family: 'Poppins', sans-serif;
    display: inline-block;
    border-radius: 5px;
    transition: all 0.5s ease 0s;
    background: #e9ecef;
    color: #000 !important;
    font-weight: bold;
}

    .btn-jts-light:hover {
        transition: all 0.5s ease 0s;
        background: #c8cbcd !important;
    }

.page-item.active .page-link {
    background-color: #3794d1;
    border-color: #007bff;
}


.component-row > .row {
    margin-bottom: 1rem;
}

#show-general-info {
    display: none;
    visibility: hidden;
}

.bi-airplane-engines-fill::before,
.bi-filetype-pdf::before,
.bi-file-earmark-spreadsheet::before {
    font-size: x-large;
}

.bi-eye-fill, .bi-pencil-square, 
.bi-laptop, .bi-telephone-fill, 
.bi-envelope-arrow-up-fill, 
.bi-journal-plus, 
.bi-trash3 {
    font-size: larger;
}

.component-row {
    margin-top: 1rem;
}

    .component-row > .container-fluid:not(#showDaysContainer):not(#ConventionContainer) {
        margin-top: 2rem;
    }

#showDaysFrm {
    padding: 0.7rem;
}

.comp-option-btn-container {
    margin-top: 0.7rem;
}

/* Tooltip */

.tooltip > .tooltip-inner {
    font-size: 1.2em;
    background-color: #3794d1;
    color: whitesmoke;
    opacity: 1;
}

.show-day-header-container {
    display: flex;
    justify-content: space-between;
    padding: 1rem;
}

.travel.row:not(.active) {
    display: none;
    visibility: hidden;
}


.form-check-input:checked {
    background-color: #3794d1;
}

.bi-plus-circle {
    font-size: x-large;
}

.filter-badge {
    height: fit-content;
    margin-right: 3em;
}

.form-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

    .form-container > form {
        width: 80%;
    }

.showcode-container {
    display: flex;
    align-items: center;
    justify-content: center;
    /*
        Uncomment the below code if one would like to 
        add more centered elements under the showcode.
    */
    /*flex-direction: column;
    row-gap: 1rem;*/
}


/*Form CSS
-----------------------------------------------------*/
/*Remove number type arrows
-----------------------------------------------------*/
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}
/*Remove number type arrows
-----------------------------------------------------*/


.jts-partial-error-div {
    display: flex;
    justify-content: flex-start;
}


/* CUSTOM CAROUSEL
-------------------------------------------------- */

/* Carousel base class */
.carousel {
    margin-bottom: 4rem;
}
/* Since positioning the image, we need to help out the caption */
.carousel-caption {
    bottom: 3rem;
    z-index: 10;
}

/* Declare heights because of positioning of img element */
.carousel-item {
    height: 32rem;
}


/* Featurettes
------------------------- */

.featurette-divider {
    margin: 5rem 0; /* Space out the Bootstrap <hr> more */
}

.rotate-right-90 {
    transform: rotate(90deg);
}


/* Footer styling
-----------------------------------------------------*/
footer {
    height: 225px;
    background: #000;
    color: #fff;
    position: fixed;
    bottom: 0;
    z-index: -1;
    bottom: 0;
    left: 0;
    margin-top: 200px;
    right: 0;
    background-color: #FFF;
    height: 100px;
}



/* Toast messaging 
-----------------------------------------------------*/
#snackbar {
    visibility: hidden;
    min-width: 250px;
    margin-left: -125px;
    background-color: #333;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 16px;
    position: fixed;
    z-index: 1;
    left: 50%;
    bottom: 30px;
    font-size: 17px;
    border-radius: 5px;
}

    #snackbar.show {
        visibility: visible;
        -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
        animation: fadein 0.5s, fadeout 0.5s 2.5s;
    }

@-webkit-keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}

@keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}

@-webkit-keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}

@keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}
/* Toast messaging 
-----------------------------------------------------*/



/* RESPONSIVE CSS
-------------------------------------------------- */

@media (min-width: 40em) {
    /* Bump up size of carousel content */
    .carousel-caption p {
        margin-bottom: 1.25rem;
        font-size: 1.25rem;
        line-height: 1.4;
    }
}

@media (min-width: 62em) {
    .featurette-heading {
        margin-top: 7rem;
    }
}

@media screen and (max-width: 768px) {
    .emp_form {
        width: 100% !important;
    }

    .form-container > form {
        width: 100%;
    }

    .show-details-nav {
        justify-content: start !important;
    }
}

/*
    Jquery DT pagination wasnt wrapping on smaller screens
*/
@media(max-width: 575px) {
    div.dataTables_wrapper div.dataTables_paginate ul.pagination {
        justify-content: center;
        padding: 1rem;
        flex-wrap: wrap;
    }
}
